libzypp 17.37.10

refresh.h File Reference
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp-core/zyppng/base/Signals>`
`#include <zypp-core/fs/TmpPath.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/RepoManagerOptions.h>`
`#include <zypp/RepoManagerFlags.h>`
`#include <zypp/ng/repomanager.h>`
`#include <zypp/repo/PluginRepoverification.h>`
`#include <zypp/ng/workflows/logichelpers.h>`

Go to the source code of this file.

## Classes
class | zyppng::repo::RefreshContext< ZyppContextRefType >

## Namespaces
namespace | zyppng
namespace | zyppng::repo

## Typedefs
using | zyppng::repo::RawMetadataRefreshPolicy = zypp::RepoManagerFlags::RawMetadataRefreshPolicy
using | zyppng::repo::RefreshCheckStatus = zypp::RepoManagerFlags::RefreshCheckStatus
using | zyppng::repo::SyncRefreshContext = RefreshContext<SyncContextRef>
using | zyppng::repo::AsyncRefreshContext = RefreshContext<ContextRef>

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (SyncContext)
| zyppng::repo::ZYPP_FWD_DECL_TEMPL_TYPE_WITH_REFS_ARG1 (RefreshContext, ZyppContextRefType)
| zyppng::repo::ZYPP_FWD_DECL_REFS (SyncRefreshContext)
| zyppng::repo::ZYPP_FWD_DECL_REFS (AsyncRefreshContext)